Bug 1781966 (CVE-2019-1353)

Summary: CVE-2019-1353 git: NTFS protections inactive when running Git in the Windows Subsystem for Linux
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: amahdal, besser82, c.david86, chrisw, hhorak, jorton, opohorel, pcahyna, pstodulk, sebastian.kisela, tmz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: git 2.24.1, git 2.23.1, git 2.22.2, git 2.21.1, git 2.20.2, git 2.19.3, git 2.18.2, git 2.17.3, git 2.16.6, git 2.15.4, git 2.14.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1781967    
Bug Blocks: 1781145    

Description Pedro Sampaio 2019-12-11 00:25:43 UTC
When running Git in the Windows Subsystem for Linux (also known as "WSL") while accessing a working directory on a regular Windows drive, none of the NTFS protections were active.

References:

https://kernel.googlesource.com/pub/scm/git/git/+/refs/tags/v2.24.1/Documentation/RelNotes/2.14.6.txt

Comment 1 Pedro Sampaio 2019-12-11 00:26:03 UTC
Created git tracking bugs for this issue:

Affects: fedora-all [bug 1781967]

Comment 2 Riccardo Schirone 2019-12-13 16:41:43 UTC
oss-security mailing list reference:
https://www.openwall.com/lists/oss-security/2019/12/13/1

Comment 3 Riccardo Schirone 2019-12-13 16:42:53 UTC
External References:

https://github.com/git/git/security/advisories/GHSA-589j-mmg9-733v

Comment 4 Riccardo Schirone 2019-12-16 16:12:27 UTC
Upstream fix:
https://github.com/git/git/commit/9102f958ee5254b10c0be72672aa3305bf4f4704

Comment 5 Riccardo Schirone 2019-12-16 16:18:53 UTC
Statement:

This issue did not affect the versions of git as shipped with Red Hat Enterprise Linux 6, 7, and 8 as NTFS filesystems are not supported nor the Windows Subsystem for Linux (WSL).